Bug 1014492 (CVE-2013-4397)

Summary: CVE-2013-4397 libtar: Heap-based buffer overflows by expanding a specially-crafted archive
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jkurik, kdudka, pfrields, rhack, security-response-team, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20131009,reported=20131002,source=distros,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,fedora-all/libtar=affected,epel-5/libtar=affected,rhel-6/libtar=affected,rhel-7/libtar=notaffected,cwe=CWE-122[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-10-10 13:26:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1014905, 1014906, 1014907, 1017507, 1017508    
Bug Blocks: 1014499    

Description Murray McAllister 2013-10-02 04:40:45 EDT
Two heap-based buffer overflow flaws were found in the way libtar handled archives that use the GNU longname and longlink extensions. If a user were tricked into expanding a specially-crafted archive, it could cause the libtar executable or an application using libtar to crash or, potentially, execute arbitrary code.
Comment 5 Vincent Danen 2013-10-02 22:54:10 EDT
Acknowledgements:

Red Hat would like to thank Timo Warns for reporting this issue.
Comment 17 Huzaifa S. Sidhpurwala 2013-10-10 00:38:33 EDT
Created libtar tracking bugs for this issue:

Affects: fedora-all [bug 1017507]
Affects: epel-5 [bug 1017508]
Comment 18 errata-xmlrpc 2013-10-10 12:42:04 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1418 https://rhn.redhat.com/errata/RHSA-2013-1418.html
Comment 19 Fedora Update System 2013-10-19 05:11:44 EDT
libtar-1.2.11-25.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Fedora Update System 2013-10-20 21:01:27 EDT
libtar-1.2.11-26.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2013-10-25 13:39:44 EDT
libtar-1.2.11-14.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2013-11-10 02:50:58 EST
libtar-1.2.11-27.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.